For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all wallets
      • POSTCreate a wallet
      • GETGet a wallet
      • POSTActivate a wallet
      • POSTDeactivate a wallet
      • POSTDeprecate a wallet
      • POSTArchive a wallet
      • POSTGet the balance of a wallet
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIWallets

Get a list of all wallets

GET
/v:version/wallets
GET
/v:version/wallets
$curl https://test.api.solvimon.com/v1/wallets \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "reference": "string",
7 "status": "DRAFT",
8 "wallet_type_id": "string",
9 "customer_id": "string",
10 "created_at": "string",
11 "updated_at": "string"
12 }
13 ],
14 "links": {
15 "first": "string",
16 "previous": "string",
17 "current": "string",
18 "next": "string"
19 },
20 "limit": 1,
21 "page": 1,
22 "total_number_of_pages": 1
23}
Requires the WALLET.VIEW permission.
Was this page helpful?
Previous

Create a wallet

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list.
pageintegerOptional
The page which is going to be shown.
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.
customer_idstringOptional
Filter wallets by customer resource id.
wallet_type_idstringOptional
Filter wallets by wallet type resource id.

Response

OK
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error